libosmodsp UNKNOWN Osmocom DSP library

- Main Page
- Modules
- Data Structures
- Files

Files | Data Structures | Functions
.cfile helpers

## Files
file | cfile.h
| Osmocom .cfile helpers header.
file | cfile.c
| Osmocom .cfile helpers implementation.

## Data Structures
struct | cfile
| Structure representing a currently mapped .cfile. More...

## Functions
struct cfile * | cfile_load (const char *filename)
| .cfile loader: mmap() the data into memory (read-only) More...
void | cfile_release (struct cfile *cf)
| Release all resources associated with a mapped .cfile. More...

## Detailed Description

## Function Documentation

struct cfile * cfile_load | ( | const char * | filename | ) |

.cfile loader: mmap() the data into memory (read-only)

Parameters

  [in] | filename | Filename of the .cfile to map

Returns
  A structure desribing the mapped data

References _blen, data, and len.

void cfile_release | ( | struct cfile * | cf | ) |

Release all resources associated with a mapped .cfile.

Parameters

  [in] | cf | Structure describing the cfile to unmap

References _blen, and data.